Bug 170057

Summary: Add support for RTCRtpReceiver/RTCRtpSender getParameters
Product: WebKit Reporter: youenn fablet <youennf>
Component: WebCore Misc.Assignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, ap, buildbot, commit-queue, eric.carlson, jonlee, ryanhaddad
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Archive of layout-test-results from ews114 for mac-elcapitan
none
Patch for landing none

Description youenn fablet 2017-03-24 09:54:35 PDT
Add support for RTCRtpReceiver/RTCRtpSender getParameters
Comment 1 youenn fablet 2017-03-24 10:03:24 PDT
Created attachment 305291 [details]
Patch
Comment 2 youenn fablet 2017-03-24 16:10:38 PDT
Created attachment 305332 [details]
Patch
Comment 3 Build Bot 2017-03-24 16:12:34 PDT
Attachment 305332 [details] did not pass style-queue:


ERROR: Source/WebCore/Modules/mediastream/libwebrtc/LibWebRTCMediaEndpoint.cpp:475:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/ThirdParty/libwebrtc/Source/webrtc/api/mediatypes.h:26:  The parameter name "type" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 2 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Build Bot 2017-03-24 18:09:48 PDT
Comment on attachment 305332 [details]
Patch

Attachment 305332 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3406545

New failing tests:
http/tests/preload/download_resources.html
Comment 5 Build Bot 2017-03-24 18:09:50 PDT
Created attachment 305350 [details]
Archive of layout-test-results from ews114 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 6 youenn fablet 2017-03-25 23:30:57 PDT
Test error is not related
Comment 7 Alex Christensen 2017-03-27 10:15:59 PDT
Comment on attachment 305332 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=305332&action=review

> Source/WebCore/Modules/mediastream/RTCRtpParameters.h:50
> +        unsigned short payloadType { 0};

space after 0 in a few places in this file
Comment 8 youenn fablet 2017-03-27 10:27:54 PDT
Created attachment 305480 [details]
Patch for landing
Comment 9 youenn fablet 2017-03-27 10:30:29 PDT
Thanks for the review.

(In reply to Alex Christensen from comment #7)
> Comment on attachment 305332 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=305332&action=review
> 
> > Source/WebCore/Modules/mediastream/RTCRtpParameters.h:50
> > +        unsigned short payloadType { 0};
> 
> space after 0 in a few places in this file

Done
Comment 10 WebKit Commit Bot 2017-03-27 11:10:49 PDT
Comment on attachment 305480 [details]
Patch for landing

Clearing flags on attachment: 305480

Committed r214420: <http://trac.webkit.org/changeset/214420>
Comment 11 WebKit Commit Bot 2017-03-27 11:10:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Alexey Proskuryakov 2017-03-27 17:51:25 PDT
webrtc/video-getParameters.html fails every time on Apple Sierra Release WK2 (Tests)

-PASS Basic video stats 
+FAIL Basic video stats assert_equals: testing sender vs. receiver parameters expected "{\"codecs\":[],\"degradationPreference\":\"balanced\",\"encodings\":[{\"active\":true,\"dtx\":\"disabled\",\"fec\":{\"ssrc\":57},\"maxBitrate\":0,\"maxFramerate\":0,\"priority\":\"medium\",\"rid\":\"\",\"rtx\":{\"ssrc\":3001127280},\"scaleResolutionDownBy\":1,\"ssrc\":2378346063}],\"headerExtensions\":[],\"transactionId\":\"\"}" but got "{\"codecs\":[],\"degradationPreference\":\"balanced\",\"encodings\":[{\"active\":true,\"dtx\":\"disabled\",\"fec\":{\"ssrc\":81},\"maxBitrate\":0,\"maxFramerate\":0,\"priority\":\"medium\",\"rid\":\"\",\"rtx\":{\"ssrc\":2940112664},\"scaleResolutionDownBy\":1,\"ssrc\":2378346063}],\"headerExtensions\":[],\"transactionId\":\"\"}"